1

I'm trying to upgrade libcups2-dev and dpkg is giving me an error. I issue aptitude install libcups2-dev from the CLI as root and receive -

aptitude install libcups2-dev
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
Reading task descriptions... Done
The following packages will be upgraded:
libcups2 libcups2-dev
2 packages upgraded, 0 newly installed, 0 to remove and 65 not upgraded.
Need to get 0B/559kB of archives. After unpacking 0B will be used.
Do you want to continue? [Y/n/?] Y
Writing extended state information... Done
(Reading database ... dpkg: unrecoverable fatal error, aborting:
files list file for package `libcups2-dev' is missing final newline
E: Sub-process /usr/bin/dpkg returned an error code (2)
A package failed to install. Trying to recover:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
Reading task descriptions... Done

It appears that the error is in the current copy of this library. Do I need to correct this error before I can upgrade? If so, how do I update it?

Thanks for any assistance

1
Contributor
1
Reply
2
Views
8 Years
Discussion Span
Last Post by Randy Epperson
0

I found the problem - somehow the /var/lib/dpkg/info/libcups2-dev.list file had the last line written as X'00'. I deleted the line of all zeros and the package upgraded fine.

This question has already been answered. Start a new discussion instead.
Have something to contribute to this discussion? Please be thoughtful, detailed and courteous, and be sure to adhere to our posting rules.